# CF-API cucumber tests

Service for e2e testing cf-api via cucumber and allure report

## How to use
- `yarn install`
- `yarn cli --help`

## Additional dependency
- java

## Commands
 #### yarn cli test
Run api tests 
```
  --help         Show help                                             [boolean]
  --version      Show version number                                   [boolean]
  --admin-token  api admin key, provide, if you want to run tests as new user
                                                                        [string]
  --user-token   provide, if tests will run via created user            [string]
  --context      use token and endpoint from context  [boolean] [default: false]
  --api-url      api url         [string] [default: "http://local.codefresh.io"]
  --tag          needed tags for test                      [array] [default: []]
  --report       generate allure report               [boolean] [default: false]
``` 
   
## Example usage

[![asciicast](https://asciinema.org/a/W6onWFgu6ZVNR78ZCa5vpyuUh.svg)](https://asciinema.org/a/W6onWFgu6ZVNR78ZCa5vpyuUh)
