const TSLogic = require('./ts.logic');
const fs = require('fs').promises;
const path = require('path');
const chalk = require('chalk');

class TSController {
    static async getTsFile(argv) {
        const { url } = argv;

        console.log(chalk.blue('Start generating sdk type defs'));

        const tsFile = await TSLogic.getTsFile(url);
        await fs.writeFile(path.resolve(__dirname, '../../../libs/sdk/sdk.holder.d.ts'), tsFile);

        console.log(chalk.green('Ready!'));
    }
}

module.exports = TSController;
