const CommandBase = require('../command.base');
const ReportServerController = require('./report-server.controller');

const command = new CommandBase({
        command: 'report-server',
        handler: ReportServerController.startServer,
        desc: 'Run report service for check reports',
        builder(yargs) {
            return yargs
                .option('port', {
                    describe: 'port of server',
                    type: 'number',
                    default: 4000,
                });
        }
        ,
    })
;

module.exports = command;
