const { exec } = require('child_process');

class FileManager {
    copyDir({ from, to }) {
        return new Promise((res, rej) => {
            if (!from || !to) {
                rej(new Error('path for copy dir operation is empty'));
            }

        	exec(`cp -rf ${from} ${to}`, (err) => {
        		if (err) {
        		   rej(err);
        		}

        		res();
        	})
        });
    }

    removeDir({ path }) {
        return new Promise((res, rej) => {
            if (!path) {
               rej(new Error('path for remove dir operation is empty'));
            }

            exec(`rm -rf ${path}`, (err) => {
                if (err) {
                    rej(err);
                }

                res();
            })
        });
    }
}

module.exports = new FileManager();
