import SdkHolderBase from './sdk.holder.base'
interface ClustersTags {
                    'update'()
                    
                }

interface Clusters {
                    'create'()
'list'()
'revoke'()
'delete'()
                    'tags': ClustersTags
                }

interface Logs {
                    'showWorkflowLogs'()
                    
                }

interface Workflows {
                    'waitForStatus'()
'list'()
'approve'()
'deny'()
'runPipeline'()
'get'()
'update'()
'restart'()
'buildByService'()
                    
                }

interface AbacRulesTags {
                    'update'()
'create'()
                    
                }

interface AbacRules {
                    'create'()
'list'()
'createOrDelete'()
'listByResource'()
'listByTeam'()
'createInBatch'()
'get'()
'delete'()
                    'tags': AbacRulesTags
                }

interface Abac {
                    
                    'rules': AbacRules
                }

interface Accounts {
                    'deleteUserFromAccount'()
'resendInvite'()
'addExistingUserToAccount'()
'setAsAdmin'()
'deleteAdmin'()
'addUserToAccount'()
'updateAccountPublicSettings'()
'updateUserDetails'()
'getUsersForAccount'()
'addAccount'()
'listAccounts'()
'addPendingUserWithoutAccount'()
'getById'()
'deleteAccount'()
'updateAccount'()
'renameAccountByAdmin'()
                    
                }

interface OnpremRuntimeenvsPlan {
                    'get'()
'setDefault'()
'update'()
'delete'()
                    
                }

interface OnpremRuntimeenvsAccount {
                    'setDefault'()
'modify'()
'delete'()
'list'()
                    
                }

interface OnpremRuntimeenvsSystem {
                    'get'()
'update'()
'delete'()
                    
                }

interface OnpremRuntimeenvs {
                    'list'()
                    'plan': OnpremRuntimeenvsPlan
'account': OnpremRuntimeenvsAccount
'system': OnpremRuntimeenvsSystem
                }

interface Onprem {
                    
                    'runtimeEnvs': OnpremRuntimeenvs
                }

interface UserActivate {
                    'user'()
                    
                }

interface User {
                    'delete'()
'changeRole'()
'changeAccount'()
'updateLocalProvider'()
'deleteLocalProvider'()
                    'activate': UserActivate
                }

interface Idp {
                    'create'()
'update'()
'add-account'()
'delete'()
                    
                }

interface AnalyticAdd {
                    'account'()
                    
                }

interface Analytic {
                    
                    'add': AnalyticAdd
                }

interface Customers {
                    'create'()
'assignAccount'()
'updateLimits'()
'detachAccount'()
'addAdmin'()
'removeAdmin'()
'addNewAccount'()
'updateAccountLimits'()
'addCustomerAdmin'()
'removeCustomerAdmin'()
                    
                }

interface Payments {
                    'changeREGGroup'()
'deleteREGGroup'()
'create'()
'list'()
'getPlans'()
                    
                }

interface Annotations {
                    'create'()
'list'()
'delete'()
'createMany'()
                    
                }

interface Tokens {
                    'generate'()
'delete'()
'list'()
                    
                }

interface Compositions {
                    'create'()
'list'()
'launch'()
'get'()
'update'()
'patch'()
'delete'()
'duplicate'()
                    
                }

interface ContextsDefault {
                    'patch'()
                    
                }

interface Contexts {
                    'create'()
'list'()
'get'()
'replace'()
'patch'()
'delete'()
                    'default': ContextsDefault
                }

interface Envs {
                    'list'()
'terminateAll'()
'get'()
'pause'()
'rename'()
'start'()
'status'()
'stop'()
'terminate'()
'unpause'()
                    
                }

interface Environments {
                    'renameRuntimeEnv'()
                    
                }

interface Features {
                    'add'()
'account'()
                    
                }

interface Formmetadata {
                    'create'()
'update'()
'delete'()
'setActive'()
                    
                }

interface HelmBoards {
                    'create'()
'list'()
'deleteAll'()
'getByName'()
'get'()
'update'()
'patch'()
'delete'()
                    
                }

interface HelmSections {
                    'create'()
'reorder'()
'get'()
'update'()
'patch'()
'delete'()
'list'()
'deleteAll'()
'getByName'()
                    
                }

interface HelmRepos {
                    'create'()
'list'()
'get'()
'update'()
'delete'()
                    
                }

interface HelmReleases {
                    'delete'()
'test'()
                    
                }

interface HelmCharts {
                    'install'()
'promote'()
                    
                }

interface Helm {
                    
                    'boards': HelmBoards
'sections': HelmSections
'repos': HelmRepos
'releases': HelmReleases
'charts': HelmCharts
                }

interface TriggersEvents {
                    'create'()
'list'()
'get'()
'delete'()
                    
                }

interface TriggersTypes {
                    'list'()
'get'()
                    
                }

interface Triggers {
                    'list'()
'getEventTriggers'()
'getPipelineTriggers'()
'create'()
'delete'()
                    'events': TriggersEvents
'types': TriggersTypes
                }

interface Version {
                    'getHermesVersion'()
'getNomiosVersion'()
'getServerVersion'()
                    
                }

interface Images {
                    'list'()
'addFromExternalSource'()
'promote'()
'get'()
'getTags'()
'tag'()
'untag'()
'upsertMetadata'()
'getMetadata'()
'deleteMetadata'()
                    
                }

interface Account {
                    'createIdp'()
'updateIdp'()
'deleteIdp'()
                    
                }

interface Customer {
                    'createIdp'()
'updateIdp'()
'deleteIdp'()
'AddAccountToIdp'()
'removeAccountFromIdp'()
                    
                }

interface Kubernetes {
                    'generateImagePullSecret'()
                    
                }

interface Charts {
                    'list'()
                    
                }

interface Pipelines {
                    'create'()
'list'()
'getTemplates'()
'pipelinesExist'()
'getLabels'()
'getLabelValues'()
'getNames'()
'extractVariablesFromYaml'()
'get'()
'replace'()
'delete'()
'extractVariables'()
'getVolumeImage'()
'run'()
'preview-run-input'()
'validateYaml'()
'testYamlFromUrl'()
'getDeployImages'()
'cloneVariables'()
'verifyTrigger'()
'getProjects'()
                    
                }

interface Runtime {
                    'launch'()
                    
                }

interface Steps {
                    'create'()
'list'()
'get'()
'replace'()
'delete'()
                    
                }

interface Projects {
                    'create'()
'list'()
'getProjectsTags'()
'getByName'()
'get'()
'patch'()
'delete'()
                    
                }

interface Progress {
                    'download'()
'get'()
'terminate'()
                    
                }

interface Providers {
                    'sendGithubWebhook'()
'sendGitlabWebhook'()
'sendBitbucketbWebhook'()
'sendBitbucketServerbWebhook'()
'sendAzureDevopsbWebhook'()
                    
                }

interface Registries {
                    'generateCfcrToken'()
'deleteCfcrToken'()
'create'()
'list'()
'patch'()
'delete'()
'setDefault'()
'test'()
                    
                }

interface ReposGit {
                    'list'()
'get'()
                    
                }

interface Repos {
                    'list'()
'getSettings'()
'create'()
'get'()
'delete'()
                    'git': ReposGit
                }

interface Runtimeenvs {
                    'list'()
'setDefault'()
'get'()
'update'()
'delete'()
                    
                }

interface Teams {
                    'create'()
'list'()
'delete'()
'synchronizeClientWithGroup'()
'addUser'()
'rename'()
'removeUser'()
'listByUser'()
                    
                }

interface UsersOnboardingstatus {
                    'create'()
'account'()
                    
                }

interface Users {
                    'create'()
'get'()
'changeAccount'()
'submitQuestionnaire'()
                    'onboardingStatus': UsersOnboardingstatus
                }

interface Auth {
                    'notifyContextCreated'()
                    
                }

interface Firebase {
                    'getToken'()
                    
                }

export interface sdk {
                    'analyze'()
                    'clusters': Clusters
'logs': Logs
'workflows': Workflows
'abac': Abac
'accounts': Accounts
'onPrem': Onprem
'user': User
'idp': Idp
'analytic': Analytic
'customers': Customers
'payments': Payments
'annotations': Annotations
'tokens': Tokens
'compositions': Compositions
'contexts': Contexts
'envs': Envs
'environments': Environments
'features': Features
'formMetadata': Formmetadata
'helm': Helm
'triggers': Triggers
'version': Version
'images': Images
'account': Account
'customer': Customer
'kubernetes': Kubernetes
'charts': Charts
'pipelines': Pipelines
'runtime': Runtime
'steps': Steps
'projects': Projects
'progress': Progress
'providers': Providers
'registries': Registries
'repos': Repos
'runtimeEnvs': Runtimeenvs
'teams': Teams
'users': Users
'auth': Auth
'firebase': Firebase
                }
export default SdkHolderBase