const { CucumberJSAllureFormatter, AllureRuntime } = require('allure-cucumberjs');

const config = require('./config');

module.exports = class Reporter extends CucumberJSAllureFormatter {
    constructor(options) {
        super(
            options,
            new AllureRuntime({ resultsDir: `${config.getReportPath()}/allure-results`}),
            {},
        );
    }
};
