const BaseCommand = require('../command.base');
const TSController = require('./ts.controller');

const command = new BaseCommand({
    command: 'generate-sdk-ts',
    handler: TSController.getTsFile,
    desc: 'Create ts file for auto complete',
    builder(yargs) {
        return yargs
            .option('url', {
                default: 'http://local.codefresh.io',
                describe: 'api url',
                type: 'string',
            });
    },
});


module.exports = command;
